import { npm_package_version } from "$env/static/private";

export const queryMode = {
  REAL_TIME: 'realTime',
  ONE_SHOT: 'oneShot',
  KILL: 'kill'
}

export const queryState = {
  LOADING: 'loading',
  DONE: 'done',
  IDLE: 'idle',
}

export const backendAddressAndPort = 'localhost:3000'

export const backendUrl = `http://${backendAddressAndPort}`

export const saslAuthMethods = ['PLAIN', 'SCRAM-SHA-256', 'SCRAM-SHA-512', 'AWS']

export const clientVersion = npm_package_version